import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaSensorStatus } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaSensorStatusService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaSensorStatus[]> {
    return this.rpcService.call('MetaSensorStatusService.readAll');
  }
}
